Bug 37628 - Check DNS for *.software-univention.de
Check DNS for *.software-univention.de
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - System diagnostic
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.2-2-errata
Assigned To: Lukas Oyen
Stefan Gohmann
:
Depends on: 37553
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-27 11:53 CET by Philipp Hahn
Modified: 2017-09-20 15:03 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
oyen: Patch_Available+


Attachments
37628-diagnostic-update-sites-420.patch (10.01 KB, patch)
2017-06-01 16:21 CEST, Lukas Oyen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2015-01-27 11:53:38 CET
With change for Bug #37553 a system might no longer be able to resolve "updates.software-univention.de" and "appcenter.software-univention.de".
The diagnostic mode check if those two addresses are resolvable.
If not, <http://sdb.univention.de/1298> should be shown as a possible solution to fix that problem.
Comment 1 Lukas Oyen univentionstaff 2017-06-01 16:21:15 CEST
Created attachment 8894 [details]
37628-diagnostic-update-sites-420.patch

This check tries to resolve `repository/online/server` and
`repository/app_center/server` if `repository/online` is True, by using
`socket.getaddrinfo()`.

A `Warning` is raised, if any repository is not resolvable.
Comment 2 Lukas Oyen univentionstaff 2017-08-01 16:28:53 CEST
Committed in r81614 - r81616 (advisory r81649).
Comment 3 Stefan Gohmann univentionstaff 2017-08-02 07:19:04 CEST
YAML: OK

Code review: OK

Tests: OK, works. A warning is shown if one of the servers is not resolvable.
Comment 4 Erik Damrose univentionstaff 2017-09-20 15:03:40 CEST
<http://errata.software-univention.de/ucs/4.2/166.html>